Package picard.illumina.parser

## Enum ReadType

- java.lang.Object
- - java.lang.Enum<ReadType>
  - - picard.illumina.parser.ReadType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ReadType>`

      public enum ReadType
      extends Enum<ReadType>

  A read type describes a stretch of cycles in an ReadStructure (e.g. Assume we have a paired end/barcoded run with the 76 template cycles followed by 8 barcode cycles followed by another 76 template reads, the run would be represented by the ReadStructure 76T8B76T) Note: Currently SKIP is unused by IlluminaBasecallsToSam, ExtractIlluminaBarcodes, and IlluminaDataProvider

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `B` |
    `M` |
    `S` |
    `T` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReadType` | `Barcode` |
    `static ReadType` | `MolecularIndex` |
    `static ReadType` | `Skip` |
    `static ReadType` | `Template` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReadType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ReadType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### T

          public static final ReadType T

    - #### B

          public static final ReadType B

    - #### M

          public static final ReadType M

    - #### S

          public static final ReadType S

  - ### Field Detail

    - #### Template

          public static final ReadType Template

    - #### Barcode

          public static final ReadType Barcode

    - #### MolecularIndex

          public static final ReadType MolecularIndex

    - #### Skip

          public static final ReadType Skip

  - ### Method Detail

    - #### values

          public static ReadType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadType c : ReadType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null